using System;

namespace PrviZadatak_Takmicenje_2021
{
    class Program
    {
        static void Main(string[] args)
        {
            string First_line = Console.ReadLine();
            string[] Secound_line = Console.ReadLine().Split();
            int a1 = int.Parse(Secound_line[0]);
            int a2 = int.Parse(Secound_line[1]);
            string c1 = First_line[0].ToString();
            string c2 = First_line[1].ToString();
            if (a1 + 1 == a2 || a1 == a2 | a2 + 1 == a1)
            {
                string k="";
                if (a1 > a2)
                {
                    for (int i = 0; i < a1 - 1; i++)
                        k += c1+c2;
                    k += c1;
                }
                else if (a2 < a1)
                {
                    for (int i = 0; i < a2 - 1; i++)
                        k += c2+c1;
                    k += c2;
                }
                else
                {
                    for (int i = 0; i < a1; i++)
                        k += c1+c2;
                }
                Console.WriteLine(k);
            }
            else
                Console.WriteLine("nemoguce");
            
        }
    }
}